# Copyright 2023 - Barcelona Supercomputing Center
# Author: Amirpasha Mozaffari
# TBD
---

# yaml metadata 

model:
  ModelName     : IFS_TOY

simulation:
  coupling_interval : 2700
  run_length_sec : 86400
  # Definition of the local partition grid cell 
  # L080_NX = 35718  # number of LAND grid cells at T159 resolution
  # L128_NX = 88838  # number of LAND grid cells at T255 resolution
  # L256_NX = 348528  # number of LAND grid cells at T511 resolution
  nx : 88838

coupling: 
  out_vars : [A_TauX_oce, A_TauY_oce, A_TauX_ice, A_TauY_ice, A_Qns_mix, A_Qs_mix, A_Evap_total, A_Precip_liquid, A_Precip_solid, A_Qs_ice, A_Qns_ice, A_dQns_dT, A_Evap_ice, A_Runoff, A_Calving]

  in_vars : [A_SST, A_Ice_temp, A_Ice_albedo, A_Ice_frac, A_Ice_thickness, A_Snow_thickness]
  restart_file : /path/

...